org.apache.maven.scm.provider.hg.command.branch

## Class HgBranchCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.branch.AbstractBranchCommand
    - - org.apache.maven.scm.provider.hg.command.branch.HgBranchCommand

All Implemented Interfaces:
  Command

    public class HgBranchCommand
    extends AbstractBranchCommand
    implements Command

Branch. Mercurial has weird branches. After a branch is created, it must be committed to the server, otherwise the branch does not exist (yet) in the repository.

Author:
  Henning Schmiedehausen

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HgBranchCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeBranchCommand(ScmProviderRepository scmProviderRepository, ScmFileSet fileSet, String branch, ScmBranchParameters scmBranchParameters)` default impl to provide backward comp
`protected ScmResult` `executeBranchCommand(ScmProviderRepository scmProviderRepository, ScmFileSet fileSet, String branch, String message)`

### Methods inherited from class org.apache.maven.scm.command.branch.AbstractBranchCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### HgBranchCommand

    public HgBranchCommand()

### Method Detail

#### executeBranchCommand

    protected ScmResult executeBranchCommand(ScmProviderRepository scmProviderRepository,
                                             ScmFileSet fileSet,
                                             String branch,
                                             String message)
                                      throws ScmException

Specified by:
  `executeBranchCommand` in class `AbstractBranchCommand`
Throws:
  `ScmException`

#### executeBranchCommand

    protected ScmResult executeBranchCommand(ScmProviderRepository scmProviderRepository,
                                             ScmFileSet fileSet,
                                             String branch,
                                             ScmBranchParameters scmBranchParameters)
                                      throws ScmException

default impl to provide backward comp

Overrides:
  `executeBranchCommand` in class `AbstractBranchCommand`
Returns:
Throws:
  `ScmException`